#import <React/RCTBridgeModule.h>
#import <React/RCTViewManager.h>
#import <React/RCTEventEmitter.h>

@interface RCT_EXTERN_MODULE(FluentAdFlowWidgetViewManager, RCTViewManager)
    RCT_EXPORT_VIEW_PROPERTY(apiKey, NSString)
    RCT_EXPORT_VIEW_PROPERTY(referrer, NSString)
    RCT_EXPORT_VIEW_PROPERTY(configId, NSString)
    RCT_EXPORT_VIEW_PROPERTY(params, NSDictionary)
    RCT_EXPORT_VIEW_PROPERTY(wrapperName, NSString)
    RCT_EXPORT_VIEW_PROPERTY(wrapperVersion, NSString)
    RCT_EXPORT_VIEW_PROPERTY(isScrollingEnabled, BOOL)

    // Expose setParams method
    RCT_EXTERN_METHOD(setParams:(NSDictionary *)params)
@end

@interface RCT_EXTERN_MODULE(AdsViewEventEmitter, RCTEventEmitter)
    RCT_EXTERN_METHOD(supportedEvents)
    RCT_EXTERN_METHOD(requiresMainQueueSetup)
@end
